### Name: gtreg.mp
### Title: Fitting Group Testing Models in Matrix Pooling Setting
### Aliases: gtreg.mp EM.mp
### Keywords: regression

### ** Examples

## --- Continuing the Example from  '?sim.mp':
# 5*6 and 4*5 matrix

set.seed(9128)
sa1a<-sim.mp(beta.par=c(-7,0.1), rown=c(5,4), coln=c(6,5),
  sens=0.95, spec=0.95)
sa1<-sa1a$dframe

## Not run: 
##D fit1mp <- gtreg.mp(formula = cbind(col.resp, row.resp) ~ x, data = sa1, 
##D   col.groupn = coln, row.groupn = rown, arrayn = sqn, 
##D   sens = 0.95, spec = 0.95, linkf = "logit", n.gibbs = 1000, tol = 0.005)
##D 
##D fit1mp
##D summary(fit1mp)
## End(Not run)

## Here is an example of how long this fitting process may take. For the
## following simulated data, it takes a computer with 2.2GHZ processor 
## and 3GB RAM about 5 minutes to achieve convergence.

set.seed(9012)
sa2a<-sim.mp(beta.par=c(-7,0.1), rown=c(10,10,10,10), coln=c(10,10,10,10),
  sens=0.99, spec=0.99)
sa2<-sa2a$dframe

## Not run: 
##D fit2mp <- gtreg.mp(formula = cbind(col.resp, row.resp) ~ x, data = sa2, 
##D   col.groupn = coln, row.groupn = rown, arrayn = sqn, retest = retest,
##D   sens = 0.95, spec = 0.95, linkf = "logit", n.gibbs = 1000, tol = 0.005)
##D 
##D fit2mp
##D summary(fit2mp)
## End(Not run)




